/********************************************************************
 * Serial Interface Module Header - process incoming data from the
 * EUSART Interface and pass character data to the command processor.
 *
*******************************************************************/
#ifndef SIF_H
#define	SIF_H

#include "usb_config.h"


#define SIF_BAUDRATE 57600
#define SIF_RX_BUF_SIZE CDC_DATA_OUT_EP_SIZE
#define SIF_TX_BUF_SIZE CDC_DATA_IN_EP_SIZE


// Externs
extern uint8_t cmdSIFtxNum;


// API Routines
void SIF_Init();
void SIF_Tasks();
void SIF_RxData();
void SIF_PushTxChar(uint8_t c);

#define SIF_TxFifoAvail()  (SIF_TX_BUF_SIZE - cmdSIFtxNum)

#define SIF_

#endif	/* SIF_H */

